using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;
using Topsdk.Top.Ability373.Domain;

namespace Topsdk.Top.Ability373.Request;

public class TaobaoJuItemsSearchRequest : AbstractTopApiRequest
{

    /*
        query
            */
    private TaobaoJuItemsSearchTopItemQuery? paramTopItemQuery;


    [JsonPropertyName("param_top_item_query")]
    public TaobaoJuItemsSearchTopItemQuery? ParamTopItemQuery
    {
        get => paramTopItemQuery;
        set => this.paramTopItemQuery = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.paramTopItemQuery != null)
        {
            requestParam.Add("param_top_item_query",TopUtils.ConvertStruct(this.paramTopItemQuery));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.ju.items.search";
    }

}

